Subject: [Mip6] Comments for draft-ietf-mip6-rfc4285bis-00.txt

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 01 Sep 2007 22:12:39 +0200

Re-reading draft-ietf-mip6-rfc4285bis-00.txt I noticed a couple of things.

* The references are out of date

Example: draft-ietf-mip6-mn-ident-option-03.txt become RFC 4283 in 2005.

* RFC 3344 is a normative reference without a reason

* More RFC 2119 language is needed. When someone reads through the text 
then the places are pretty obvious. I could list them, if someone cares.

* Replay Protection: There is no mandatory to implement replay 
protection technique. To me it seems that only the timestamp based 
replay protection really seems to be usable when used in combination 
with the AAA infrastructure.

Ciao
Hannes

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Tue, 4 Sep 2007 04:21:53 -0500

Hi Hannes,
Please see comment inline.

Regards,
Ahmad
 
> Subject: [Mip6] Comments for draft-ietf-mip6-rfc4285bis-00.txt
> 
> * More RFC 2119 language is needed. When someone reads 
> through the text then the places are pretty obvious. I could 
> list them, if someone cares.
> 
> * Replay Protection: There is no mandatory to implement 
> replay protection technique. To me it seems that only the 
> timestamp based replay protection really seems to be usable 
> when used in combination with the AAA infrastructure.

[Ahmad]
I absolutely agree here. timestamp MUST be mandated using the
authentication option mechanism since sequence number does not provide a
reliable replay protection outside dynamic IPsec.

---

From: "Chowdhury, Kuntal" <[email-masked]>
Date: Wed, 19 Sep 2007 12:02:58 -0400

Hi Hannes,

Sorry for the late follow-up on this. Please see inline...

-Kuntal

> -----Original Message-----
> From: Hannes Tschofenig [mailto:[email-masked]]
> Sent: Saturday, September 01, 2007 3:13 PM
> To: Mobile IPv6 Mailing List
[KC>] Fixed.

> * RFC 3344 is a normative reference without a reason
[KC>] will be moved under informative references.

> then the places are pretty obvious. I could list them, if someone
cares.
[KC>] We will add RFC 2119 in the reference list. The Terminology
section already points to RCC 2119. What else is needed?

> with the AAA infrastructure.
[KC>] I am not sure why so. It is true that only timestamp based relay
protection scheme is specified in the current version of the I-D, but
that should not necessitate use of an AAA infrastructure! 

Anyway, please refer to Appendix A (Rationale for mobility message
replay protection option) for further details on the reason for
selecting timestamp based replay protection mode.